sound-theme-loader.h File Reference

Purple Sound Theme Loader Class API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include "theme-loader.h"`

Go to the source code of this file.

## Data Structures

struct | _PurpleSoundThemeLoader
struct | _PurpleSoundThemeLoaderClass

## Macros

#define | PURPLE_TYPE_SOUND_THEME_LOADER (purple_sound_theme_loader_get_type())
#define | PURPLE_SOUND_THEME_LOADER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_SOUND_THEME_LOADER, PurpleSoundThemeLoader))
#define | PURPLE_SOUND_THEME_LOADER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_SOUND_THEME_LOADER, PurpleSoundThemeLoaderClass))
#define | PURPLE_IS_SOUND_THEME_LOADER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), PURPLE_TYPE_SOUND_THEME_LOADER))
#define | PURPLE_IS_SOUND_THEME_LOADER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), PURPLE_TYPE_SOUND_THEME_LOADER))
#define | PURPLE_SOUND_THEME_LOADER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), PURPLE_TYPE_SOUND_THEME_LOADER, PurpleSoundThemeLoaderClass))

## Typedefs

typedef struct _PurpleSoundThemeLoader | PurpleSoundThemeLoader
| A purple sound theme loader. More...
typedef struct _PurpleSoundThemeLoaderClass | PurpleSoundThemeLoaderClass

## Functions

Purple Theme-Loader API <br>
G_BEGIN_DECLS GType | purple_sound_theme_loader_get_type (void)
| GObject foo.

## Detailed Description

Purple Sound Theme Loader Class API.

Definition in file sound-theme-loader.h.

## Typedef Documentation

## PurpleSoundThemeLoader

typedef struct _PurpleSoundThemeLoader PurpleSoundThemeLoader

A purple sound theme loader.

extends PurpleThemeLoader (theme-loader.h) This is a class designed to build sound themes

PurpleSoundThemeLoader is a GObject.

Definition at line 1 of file sound-theme-loader.h.